Skip to content
Fulfillment & ShippingSettings

Get tax settings

Returns whether prices include tax and how shipping and duties are taxed.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/taxes/settings" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "storeId": "7204558912004327977",  "serviceType": "manual",  "serviceActive": true,  "pricesIncludeTax": false,  "chargeTaxOnShipping": false,  "chargeVatOnDigitalGoods": false,  "collectDutiesAtCheckout": false}